Name:           libpcapnav
Version:        0.8
Release:        3%{?dist}
Summary:        Wrapper library for libpcap offering navigation inside of a tracefile

Group:          System Environment/Libraries
License:        MIT with advertising
URL:            http://netdude.sourceforge.net/
Source0:        http://downloads.sourceforge.net/netdude/libpcapnav-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel, gtk-doc >= 0.6, /bin/sed

%description
Libpcapnav is a libpcap wrapper library that allows navigation to arbitrary
packets in a tcpdump trace file between reads, using timestamps or percentage
offsets. It was originally based on Vern Paxson's tcpslice tool.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# Fixup the -L call in the pkg-config file
sed -i -e 's/libdirs=-L@libdir@/libdirs=/' pcapnav-config.in


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/pcapnav-config
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/pcapnav/

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 17 2008 Andreas Thienemann <andreas@bawue.net> - 0.8-2
- Fixups for fedora compliance

* Tue Aug 12 2008 Andreas Thienemann <athienem@redhat.com> - 0.8-1
- Initial package
